NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
List of all members
NXOpen.Features.SketchSplineBuilder Class Reference

Sketch Spline builder class. More...

Inheritance diagram for NXOpen.Features.SketchSplineBuilder:
NXOpen.Features.StudioSplineBuilderEx NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Additional Inherited Members

- Public Types inherited from NXOpen.Features.StudioSplineBuilderEx
enum  DrawingPlaneOptions {
  View, XY, YZ, XZ,
  General
}
 Drawing plane options More...
 
enum  InputCurveOptions { Keep, Hide, Delete }
 Options of the actions to be taken on an input non-parametric spline after its editing is done. More...
 
enum  MatchKnotsTypes { None, Cubic, General }
 Options for creating knots at the defining points in case of through point spline More...
 
enum  MovementMethodType {
  WCS, View, Vector, Plane,
  Normal, Polygon
}
 Points movement types More...
 
enum  Types { ThroughPoints, ByPoles }
 Spline methods. More...
 
enum  WCSOptionType {
  X, Y, Z, YZ,
  XZ, XY
}
 WCS principal axis or plane types More...
 
- Public Member Functions inherited from NXOpen.Features.StudioSplineBuilderEx
unsafe void EditSpline (NXOpen.NXObject spline)
 Sets a non-parametric spline for editing More...
 
unsafe void Evaluate ()
 Evaluates the spline More...
 
unsafe double[] GetKnots ()
 Queries the knot sequence for by pole spline More...
 
unsafe double[] GetParameters ()
 Queries the parameters at defining points for a through point spline More...
 
unsafe void InsertKnot (NXOpen.Point3d point)
 Inserts knot at a closest point on the spline More...
 
unsafe void InsertPole (int afterIndex)
 Inserts a pole in the middle of a control polygon segment More...
 
unsafe void SetKnots (double[] knots)
 Sets the optional knot sequence for by pole spline More...
 
unsafe void SetParameters (double[] parameters)
 Sets the optional parameters at defining points for a through point spline More...
 
unsafe void UpdateOnConstraintPlane ()
 Updates spline based on constraint plane More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 
- Properties inherited from NXOpen.Features.StudioSplineBuilderEx
unsafe bool CanUseOrientationTool [get, set]
 Returns or sets the flag indicating if WCS like tool should be deployed when a point or pole handle is selected More...
 
unsafe
NXOpen.Features.GeometricConstraintDataManager 
ConstraintManager [get]
 Returns the constraint manager. More...
 
unsafe NXOpen.CoordinateSystem ConstraintPlane [get, set]
 Returns or sets the coordinate system defining plane constraint More...
 
unsafe NXOpen.Spline Curve [get]
 Returns the spline curve More...
 
unsafe int Degree [get, set]
 Returns or sets the degree More...
 
unsafe NXOpen.Plane DrawingPlane [get, set]
 Returns or sets the drawing plane More...
 
unsafe
NXOpen.Features.StudioSplineBuilderEx.DrawingPlaneOptions 
DrawingPlaneOption [get, set]
 Returns or sets a drawing plane option More...
 
unsafe
NXOpen.GeometricUtilities.SplineExtensionBuilder 
Extender [get]
 Returns the extension option More...
 
unsafe bool HasPlaneConstraint [get, set]
 Returns or sets the flag indicating if spline has plane constraint More...
 
unsafe bool HasProportionalUpdate [get, set]
 Returns or sets the flag indicating if free or non attached defining points or poles should be moved proportionally during update of the spline feature More...
 
unsafe
NXOpen.Features.StudioSplineBuilderEx.InputCurveOptions 
InputCurveOption [get, set]
 Returns or sets the input curve option More...
 
unsafe bool IsAssociative [get, set]
 Returns or sets the flag indicating if a feature should be created More...
 
unsafe bool IsPeriodic [get, set]
 Returns or sets the periodicity More...
 
unsafe bool IsSingleSegment [get, set]
 Returns or sets a flag indicating if single segment by pole spline is to be created More...
 
unsafe
NXOpen.Features.StudioSplineBuilderEx.MatchKnotsTypes 
MatchKnotsType [get, set]
 Returns or sets a constraint to match knots at the defining points for a through point spline More...
 
unsafe
NXOpen.Features.StudioSplineBuilderEx.MovementMethodType 
MovementMethod [get, set]
 Returns or sets the movement method More...
 
unsafe NXOpen.Plane MovementPlane [get, set]
 Returns or sets the movement plane More...
 
unsafe NXOpen.Direction MovementVector [get, set]
 Returns or sets the movement vector More...
 
unsafe
NXOpen.GeometricUtilities.OrientXpressBuilder 
OrientExpress [get]
 Returns the orient express object More...
 
unsafe
NXOpen.Features.StudioSplineBuilderEx.Types 
Type [get, set]
 Returns or sets the spline method More...
 
unsafe
NXOpen.Features.StudioSplineBuilderEx.WCSOptionType 
WCSOption [get, set]
 Returns or sets the WCS option More...
 

Detailed Description

Sketch Spline builder class.

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateSketchSplineBuilder

Default values.

Property Value

DrawingPlaneOption

View

InputCurveOption

Hide

MatchKnotsType

None

MovementMethod

View

Type

ThroughPoints

WCSOption

X

Created in NX8.0.0


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.